Update a user pay rate
Path Parameters
- Type: integeruser
Id requiredID of user
- Type: integerrate
Id requiredID of rate
Body·
required
application/json
- Type: stringcaption
Human-readable label identifying the purpose or context of this rate (e.g. 'Standard', 'After hours')
- Type: integerrate
Hourly rate value for the user in the smallest currency unit
- Type: string Format: date-timevalid
Until Date and time until which this rate is valid; null or absent means the rate is currently active
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for put/user/{userId}/rate/{rateId}
curl https://test.boost.space/api/user/1/rate/1 \
--request PUT \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"caption": "string",
"rate": 1,
"validUntil": "2026-01-15T09:30:00Z"
}'
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"caption": "string",
"rate": 1,
"validUntil": "2026-01-15T09:30:00Z"
}